Skip to main content
POST

NIC validations

  1. E-way bill can be cancelled by the generator of the e-way bill only.
  2. E-way bill can be cancelled within 24 hours of generation of e-way bill

Request body schema

View request body schema

Authorizations

authorization
string
header
required

E-Way Bill taxpayer access token returned by Authenticate.

x-api-key
string
header
required

Sandbox API key from your Sandbox account.

Headers

x-api-version
string
default:1.0.0

API version

x-source
enum<string>
default:primary

NIC server for the session used by this request. primary selects NIC1. secondary selects NIC2. Defaults to primary. See NIC1 and NIC2 routing.

Available options:
primary,
secondary
x-proxy
enum<string>

NIC server that receives the request. If omitted, the request goes to the server selected by x-source. When specified, selects the other server. See NIC1 and NIC2 routing.

Available options:
primary,
secondary

Path Parameters

ewb_no
string
required

Body

application/json

E-Way Bill schema.

ewbNo
number<double>
required

E-Way Bill number

cancelRsnCode
integer<int32>
required

Reason for cancellation. Possible values: 1 (Duplicate), 2 (Order Cancelled), 3 (Data Entry mistake), 4 (Others)

See E-Way Bill cancellation reasons.

cancelRmrk
string

Remarks

Response

200 - application/json

200 EWB cancelled / 312 EWB already cancelled/receiver cannot cancel EWB / 444 EWB cannot be cancelled as it is generated from NIC1

An E-Way Bill success or NIC business-failure response. Both variants use HTTP 200.

code
enum<integer>
required

NIC response code.

Available options:
200
timestamp
integer<int64>
required

Unix timestamp.

transaction_id
string
required

Request transaction identifier.

data
object
required